# Krys4lide

Logiciel de Pharmacie libre et open-source.

## Crates

- `app`: Endpoint Axum qui peut aussi être utilisé en tant que librairie. Renvoie l'interface du logiciel de pharmacie en HTML.
- `desktop`: Application Tauri qui intègre l'application Axum.
- `sesam-vitale`: Moteur de facturation SESAM-VITALE.

## Development

### Installation

```bash
cargo install tauri-cli
```

### Exécution de l'application cliente desktop

```bash
cargo tauri dev
```

### Exécution de l'endpoint `app`

```bash
cargo run --bin app 
```

### Création du bundle de l'application cliente desktop

```bash
cargo tauri build
```
